# Uses of Interface
org.apache.wiki.ui.progress.ProgressManager

Packages that use ProgressManager
Package
Description
org.apache.wiki
The chief package of JSPWiki.
org.apache.wiki.ui.progress
Provides progress management routines.

## Uses of ProgressManager in org.apache.wiki

Methods in org.apache.wiki that return ProgressManager
Modifier and Type
Method
Description
`ProgressManager`
WikiEngine.`getProgressManager()`
Deprecated.
use `getManager( ProgressManager.class )` instead.

## Uses of ProgressManager in org.apache.wiki.ui.progress

Classes in org.apache.wiki.ui.progress that implement ProgressManager
Modifier and Type
Class
Description
`class`
`DefaultProgressManager`
Manages progressing items.